## cheese 43~alpha

=== debian/changelog ===
cheese (43~alpha-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Cherry-pick patch to fix build tests
  * debian/control.in: Bump minimum meson to 0.58.0
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 14 Aug 2022 17:39:55 -0400

cheese (41.1-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with gnome-desktop 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 09:01:29 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cheese
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dbus <!nocheck>,
               docbook-xsl,
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-doc-tools (>= 1.14),
               itstool,
               meson (>= 0.58.0),
               valac (>= 0.25.3),
               libglib2.0-dev (>= 2.39.90),
               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
               libgtk-3-dev (>= 3.13.4),
               libgnome-desktop-3-dev (>= 3.12),
               libgstreamer1.0-dev (>= 0.11.0),
               libgstreamer-plugins-base1.0-dev (>= 0.11.0),
               libgstreamer-plugins-bad1.0-dev (>= 1.4),
               libcairo2-dev (>= 1.10.0),
               libpango1.0-dev (>= 1.28.0),
               librsvg2-dev (>= 2.32.0),
               libclutter-1.0-dev (>= 1.16),
               libclutter-gtk-1.0-dev (>= 0.91.8),
               libclutter-gst-3.0-dev,
               x11proto-core-dev,
               libcanberra-gtk3-dev (>= 0.26),
               gnome-video-effects-dev,
               libgirepository1.0-dev (>= 0.9.6),
               libxtst-dev,
               pkg-config (>= 0.24),
               appstream-util,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/gnome-team/cheese
Vcs-Git: https://salsa.debian.org/gnome-team/cheese.git
Homepage: https://wiki.gnome.org/Apps/Cheese

Package: cheese
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cheese-common (>= ${source:Version}),
         gnome-video-effects
Recommends: gvfs,
            yelp
Suggests: gnome-video-effects-frei0r
Description: tool to take pictures and videos from your webcam
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.

Package: cheese-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common files for the Cheese tool to take pictures and videos
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the common files and translations.

Package: libcheese-gtk25
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-clutter-3.0,
         cheese-common (>= ${source:Version})
Description: tool to take pictures and videos from your webcam - widgets
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the GTK+ shared library.

Package: libcheese-gtk-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcheese-gtk25 (= ${binary:Version}),
         libcheese-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.28.0),
         libgtk-3-dev (>= 3.4.4),
         libgstreamer1.0-dev (>= 0.11.0),
         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
         libclutter-gtk-1.0-dev (>= 0.91.8),
         libcanberra-gtk3-dev (>= 0.26),
         ${misc:Depends}
Suggests: libcheese-doc
Description: tool to take pictures and videos from your webcam - widgets dev
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the GTK+ development headers.

Package: libcheese8
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gstbad:Depends},
         cheese-common (>= ${source:Version}),
         gstreamer1.0-plugins-base (>= 0.11.0),
         gstreamer1.0-plugins-good (>= 0.11.0),
         gstreamer1.0-x
Description: tool to take pictures and videos from your webcam - base library
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the base shared library.

Package: libcheese-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcheese8 (= ${binary:Version}),
         gir1.2-cheese-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.28.0),
         libclutter-1.0-dev (>= 1.10.0),
         libgstreamer1.0-dev (>= 0.11.0),
         ${gstbad-dev:Depends},
         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
         libclutter-gst-3.0-dev,
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
         ${misc:Depends}
Suggests: libcheese-doc
Description: tool to take pictures and videos from your webcam - base dev
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the base development headers.

Package: libcheese-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: tool to take pictures and videos from your webcam - documentation
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package contains the API documentation.

Package: gir1.2-cheese-3.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Description: tool to take pictures and videos from your webcam - gir bindings
 A webcam application that supports image and video capture. Makes
 it easy to take photos and videos of you, your friends, pets or whatever
 you want. Allows you to apply fancy visual effects, fine-control image
 settings and has features such as Multi-Burst mode, Countdown timer
 for photos.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

## cheese 43.0

=== debian/changelog ===
cheese (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patch: applied in new release

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 14:04:07 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                meson (>= 0.58.0),
                valac (>= 0.25.3),
                libglib2.0-dev (>= 2.39.90),
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libgtk-3-dev (>= 3.13.4),
                libgnome-desktop-3-dev (>= 3.12),
                libgstreamer1.0-dev (>= 0.11.0),
@@ -145,7 +145,7 @@
          ${gstbad-dev:Depends},
          libgstreamer-plugins-base1.0-dev (>= 0.11.0),
          libclutter-gst-3.0-dev,
-         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          ${misc:Depends}
 Suggests: libcheese-doc
 Description: tool to take pictures and videos from your webcam - base dev

## cheese 44.0

=== debian/changelog ===
cheese (44.0-1) experimental; urgency=medium

  * New upstream bugfix release (LP: #2015756)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Apr 2023 09:44:52 -0400

## cheese 44.1

=== meson_options.txt ===
option('tests', type: 'boolean', value: false, description: 'Build tests')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

option('gtk_doc', type: 'boolean', value: true, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: true, description: 'build manual pages')

=== debian/changelog ===
cheese (44.1-5) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 10:30:16 +0200

cheese (44.1-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Cherry-pick AppStream metadata and app ID fixes

  [ Petter Reinholdtsen ]
  * Add patch to announce supported hardware using AppStream (Closes: #838350)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 15:59:10 -0400

cheese (44.1-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome and debian/control.in
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 11:05:54 -0400

cheese (44.1-2) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * Add patch from upstream merge request !73 to fix JSON standards
    compliance.
    json-glib 1.10 parses JSON more strictly. (Closes: #1081598)
  * Add patch from upstream merge request !70 to fix build with gcc-14
    (Closes: #1074878)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Sep 2024 11:37:48 +0100

cheese (44.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 11:57:11 -0400

cheese (44.0.1-1) experimental; urgency=medium

  * New upstream minor release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Apr 2023 19:08:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,52 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: cheese
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               appstream,
                dbus <!nocheck>,
                docbook-xsl,
-               dh-sequence-gir,
-               dh-sequence-gnome,
+               gnome-video-effects-dev,
                gtk-doc-tools (>= 1.14),
                itstool,
-               meson (>= 0.58.0),
-               valac (>= 0.25.3),
+               libcairo2-dev (>= 1.10.0),
+               libcanberra-gtk3-dev (>= 0.26),
+               libclutter-1.0-dev (>= 1.16),
+               libclutter-gst-3.0-dev,
+               libclutter-gtk-1.0-dev (>= 0.91.8),
+               libgdk-pixbuf-2.0-dev,
+               libgirepository1.0-dev (>= 0.9.6),
                libglib2.0-dev (>= 2.39.90),
-               libgdk-pixbuf-2.0-dev,
+               libgnome-desktop-3-dev (>= 3.12),
+               libgstreamer-plugins-bad1.0-dev (>= 1.4),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+               libgstreamer1.0-dev (>= 0.11.0),
                libgtk-3-dev (>= 3.13.4),
-               libgnome-desktop-3-dev (>= 3.12),
-               libgstreamer1.0-dev (>= 0.11.0),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.4),
-               libcairo2-dev (>= 1.10.0),
                libpango1.0-dev (>= 1.28.0),
                librsvg2-dev (>= 2.32.0),
-               libclutter-1.0-dev (>= 1.16),
-               libclutter-gtk-1.0-dev (>= 0.91.8),
-               libclutter-gst-3.0-dev,
-               x11proto-core-dev,
-               libcanberra-gtk3-dev (>= 0.26),
-               gnome-video-effects-dev,
-               libgirepository1.0-dev (>= 0.9.6),
                libxtst-dev,
-               pkg-config (>= 0.24),
-               appstream-util,
+               meson (>= 0.58.0),
+               pkgconf,
+               valac (>= 0.25.3),
+               x11proto-dev,
                xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/cheese
 Vcs-Git: https://salsa.debian.org/gnome-team/cheese.git
 Homepage: https://wiki.gnome.org/Apps/Cheese
 
 Package: cheese
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: cheese-common (>= ${source:Version}),
+         gnome-video-effects,
          ${misc:Depends},
-         cheese-common (>= ${source:Version}),
-         gnome-video-effects
-Recommends: gvfs,
-            yelp
+         ${shlibs:Depends}
+Recommends: gvfs, yelp
 Suggests: gnome-video-effects-frei0r
 Description: tool to take pictures and videos from your webcam
  A webcam application that supports image and video capture. Makes
@@ -77,10 +72,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
+Depends: cheese-common (>= ${source:Version}),
+         gstreamer1.0-clutter-3.0,
          ${misc:Depends},
-         gstreamer1.0-clutter-3.0,
-         cheese-common (>= ${source:Version})
+         ${shlibs:Depends}
 Description: tool to take pictures and videos from your webcam - widgets
  A webcam application that supports image and video capture. Makes
  it easy to take photos and videos of you, your friends, pets or whatever
@@ -94,14 +89,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcheese-gtk25 (= ${binary:Version}),
+Depends: libcanberra-gtk3-dev (>= 0.26),
          libcheese-dev (= ${binary:Version}),
+         libcheese-gtk25 (= ${binary:Version}),
+         libclutter-gtk-1.0-dev (>= 0.91.8),
          libglib2.0-dev (>= 2.28.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+         libgstreamer1.0-dev (>= 0.11.0),
          libgtk-3-dev (>= 3.4.4),
-         libgstreamer1.0-dev (>= 0.11.0),
-         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
-         libclutter-gtk-1.0-dev (>= 0.91.8),
-         libcanberra-gtk3-dev (>= 0.26),
          ${misc:Depends}
 Suggests: libcheese-doc
 Description: tool to take pictures and videos from your webcam - widgets dev
@@ -117,13 +112,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gstbad:Depends},
-         cheese-common (>= ${source:Version}),
+Depends: cheese-common (>= ${source:Version}),
          gstreamer1.0-plugins-base (>= 0.11.0),
          gstreamer1.0-plugins-good (>= 0.11.0),
-         gstreamer1.0-x
+         gstreamer1.0-x,
+         ${gstbad:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: tool to take pictures and videos from your webcam - base library
  A webcam application that supports image and video capture. Makes
  it easy to take photos and videos of you, your friends, pets or whatever
@@ -137,15 +132,15 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcheese8 (= ${binary:Version}),
-         gir1.2-cheese-3.0 (= ${binary:Version}),
+Depends: gir1.2-cheese-3.0 (= ${binary:Version}),
+         libcheese8 (= ${binary:Version}),
+         libclutter-1.0-dev (>= 1.10.0),
+         libclutter-gst-3.0-dev,
+         libgdk-pixbuf-2.0-dev,
          libglib2.0-dev (>= 2.28.0),
-         libclutter-1.0-dev (>= 1.10.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
          libgstreamer1.0-dev (>= 0.11.0),
          ${gstbad-dev:Depends},
-         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
-         libclutter-gst-3.0-dev,
-         libgdk-pixbuf-2.0-dev,
          ${misc:Depends}
 Suggests: libcheese-doc
 Description: tool to take pictures and videos from your webcam - base dev
@@ -176,8 +171,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: tool to take pictures and videos from your webcam - gir bindings
  A webcam application that supports image and video capture. Makes
  it easy to take photos and videos of you, your friends, pets or whatever

=== debian/tests/control ===
Tests: libcheese-dev
Depends: build-essential, dbus, libcheese-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Tests: libcheese-gtk-dev
Depends: build-essential, dbus, libcheese-gtk-dev, xauth, xvfb
Restrictions: allow-stderr superficial
